Skip to navigation

Delete a shard key

Deletes one or more shard keys for a specified collection.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to create shards for

Query parameters

timeoutintegerOptional>=1

Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error.

Request

Select shard key to delete
shard_keystring or uint64Required

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultbooleanOptional

Errors

4XX
Client Request Error